=== modified file 'breezy/tests/testui.py'
--- breezy/tests/testui.py	2017-05-22 00:56:52 +0000
+++ breezy/tests/testui.py	2018-03-01 23:44:14 +0000
@@ -41,6 +41,13 @@
     def finished(self):
         self.depth -= 1
 
+    def __enter__(self):
+        return self
+
+    def __exit__(self, exc_type, exc_val, exc_tb):
+        self.finished()
+        return False
+
     def update(self, message, count=None, total=None):
         if self.depth == 1:
             self._calls.append(("update", count, total, message))

